# Generated by Django 2.2.24 on 2021-10-25 15:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cluster',
            fields=[
                ('cluster', models.SlugField(primary_key=True, serialize=False)),
                ('ca_certificate', models.BinaryField()),
                ('postgres_password', models.CharField(max_length=64)),
            ],
            options={
                'db_table': 'metamoa_cluster',
            },
        ),
        migrations.CreateModel(
            name='ClusterFQDN',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fqdn', models.CharField(max_length=64)),
                ('cluster', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='moa_dbinfo.Cluster')),
            ],
            options={
                'db_table': 'metamoa_clusterfqdn',
            },
        ),
    ]
